注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Computer Science

I Pressed My Words Here. Will You Read ?

 
 
 

日志

 
 

Back Track 5 3rd install - The permission of the setuid helper is not correct  

2013-01-21 22:21:35|  分类: With Back Track |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
I tried to install back track 5 on my Alien-ware 14mxr1 with a USB live back track 5 OS.
After I boot into the system and startx, I double clicked the "Install Back Track" icon, nothing happened.
I found the command in the icon's properties. It's "sh -c 'ubiquity' ". So I run ubiquity in terminal.

root@bt:~# ubiquity
Inhibit all polling failed: The permission of the setuid helper is not correct

Then I googled a solution on http://ubuntuforums.org/showthread.php?t=1126653
nikhil760 suggested to reinstall dbus related stuff from synaptic.
Then I tried :
root@bt:~# dbus-
dbus-cleanup-sockets  dbus-launch           dbus-send            
dbus-daemon           dbus-monitor          dbus-uuidgen         
root@bt:~# sudo apt-get install dbus-*
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
and:root@bt:~# sudo dpkg --configure -a
root@bt:~# sudo dpkg --configure -a
Setting up burpsuite (1.5-bt0) ...
Setting up sudo (1.7.2p1-1ubuntu5.5) ...

Processing triggers for menu ...
Setting up libxml2 (2.7.6.dfsg-1ubuntu1.6) ...

Setting up gpgv (1.4.10-2ubuntu1.1) ...
Setting up libdbus-1-3 (1.2.16-2ubuntu4.7) ...

Processing triggers for man-db ...
Setting up libexif12 (0.6.19-1ubuntu0.1) ...

Setting up procps (1:3.2.8-1ubuntu4.3) ...
Installing new version of config file /etc/init/procps.conf ...

Setting up beef (0.4.3.5-bt1) ...
WARNING:  You don't have /root/.gem/ruby/1.9.2/bin in your PATH,
          gem executables will not run.
Successfully installed bundler-1.2.3
1 gem installed
Installing ri documentation for bundler-1.2.3...
Installing RDoc documentation for bundler-1.2.3...
/var/lib/dpkg/info/beef.postinst: line 5: bundle: command not found
dpkg: error processing beef (--configure):
 subprocess installed post-installation script returned error exit status 127
Processing triggers for hicolor-icon-theme ...
Processing triggers for install-info ...
Setting up lsb-release (4.0-0ubuntu8.1) ...

Setting up dpkg-dev (1.15.5.6ubuntu4.6) ...
Setting up vim-common (2:7.2.330-1ubuntu3.1) ...

Setting up libisc60 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up libxslt1.1 (1.1.26-1ubuntu1.1) ...

Setting up tzdata-java (2012e-0ubuntu0.10.04) ...
Setting up libgc1c2 (1:6.8-1.2ubuntu1.1) ...

Setting up libgssglue1 (0.1-4ubuntu0.1) ...

Setting up libisccc60 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up apt-transport-https (0.7.25.3ubuntu9.14) ...
Setting up libc-dev-bin (2.11.1-0ubuntu7.12) ...
Setting up libc6-i386 (2.11.1-0ubuntu7.12) ...

dpkg: error processing metasploit (--configure):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting configuration.
Processing triggers for python-support ...
Setting up python2.6 (2.6.5-1ubuntu6.1) ...

Setting up mesa-common-dev (7.7.1-1ubuntu3.1) ...
Setting up backtrack-utils (1.5-bt0) ...
 Removing any system startup links for /etc/init.d/portmap ...
[*] rt2870sta already blacklisted
[*] rt2860sta already blacklisted
deb http://updates.repository.backtrack-linux.org revolution main microverse non-free testing
[*]  Updates repo found in sources.list: exiting...
[*] No source repo found: exiting...

Setting up libexpat1 (2.0.1-7ubuntu1.1) ...

Setting up python3.1-minimal (3.1.2-0ubuntu3.2) ...

Setting up libproxy0 (0.3.1-1ubuntu1.1) ...

Setting up initramfs-tools-bin (0.92bubuntu78.1) ...
Setting up liblwres60 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up libruby1.8 (1.8.7.249-2ubuntu0.2) ...

Setting up libxml2-utils (2.7.6.dfsg-1ubuntu1.6) ...
Setting up libtiff4 (3.9.2-2ubuntu0.11) ...

Setting up python3.1 (3.1.2-0ubuntu3.2) ...

Setting up ruby1.8 (1.8.7.249-2ubuntu0.2) ...
Setting up libkrb5support0 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up libgl1-mesa-glx (7.7.1-1ubuntu3.1) ...

Setting up gnupg (1.4.10-2ubuntu1.1) ...

Setting up android-sdk (r20.0.3-bt0) ...
Setting up libnss3-1d (3.12.9+ckbi-1.82-0ubuntu0.10.04.4) ...

Setting up libmysqlclient16 (5.1.66-0ubuntu0.10.04.2) ...

Setting up php5-common (5.3.2-1ubuntu4.18) ...
Setting up bluez-hcidump (2.4-bt0) ...
Processing triggers for ureadahead ...
Setting up bbqsql (1.0-bt2) ...
tar: bbqsql.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
rm: cannot remove `bbqsql.tar.gz': No such file or directory
/var/lib/dpkg/info/bbqsql.postinst: line 6: cd: bbqsql/: No such file or directory
Searching for requests
Best match: requests 0.13.6
Processing requests-0.13.6-py2.6.egg
requests 0.13.6 is already the active version in easy-install.pth

Using /usr/local/lib/python2.6/dist-packages/requests-0.13.6-py2.6.egg
Processing dependencies for requests
Finished processing dependencies for requests
Searching for grequests
Best match: grequests 0.1.0
Processing grequests-0.1.0-py2.6.egg
grequests 0.1.0 is already the active version in easy-install.pth

Using /usr/local/lib/python2.6/dist-packages/grequests-0.1.0-py2.6.egg
Processing dependencies for grequests
Finished processing dependencies for grequests
Searching for gevent
Best match: gevent 0.13.7
Processing gevent-0.13.7-py2.6-linux-x86_64.egg
gevent 0.13.7 is already the active version in easy-install.pth

Using /usr/local/lib/python2.6/dist-packages/gevent-0.13.7-py2.6-linux-x86_64.egg
Processing dependencies for gevent
Finished processing dependencies for gevent
python: can't open file 'setup.py': [Errno 2] No such file or directory

Processing triggers for ufw ...
WARN: uid is 0 but '/' is owned by 1000
Setting up apache2-utils (2.2.14-5ubuntu8.10) ...
Setting up python-distutils-extra (2.18bzr1ubuntu0.1) ...

Setting up libssh-4 (0.4.2-1ubuntu1.1) ...

Setting up libgnutls26 (2.8.5-2ubuntu0.2) ...

Setting up xsltproc (1.1.26-1ubuntu1.1) ...
Setting up libxml2-dev (2.7.6.dfsg-1ubuntu1.6) ...
Setting up apache2.2-bin (2.2.14-5ubuntu8.10) ...
Setting up cron (3.0pl1-106ubuntu7) ...
Installing new version of config file /etc/default/cron ...
start: Job is already running: cron

Setting up libmysqlclient-dev (5.1.66-0ubuntu0.10.04.2) ...

Setting up vim-runtime (2:7.2.330-1ubuntu3.1) ...
Processing /usr/share/vim/addons/doc

Setting up dhcp3-common (3.1.3-2ubuntu3.4) ...
Setting up apt-utils (0.7.25.3ubuntu9.14) ...

Setting up mysql-server-core-5.1 (5.1.66-0ubuntu0.10.04.2) ...
Setting up vim-tiny (2:7.2.330-1ubuntu3.1) ...

Setting up libglib2.0-0 (2.24.1-0ubuntu2) ...

Setting up gnupg-curl (1.4.10-2ubuntu1.1) ...
Setting up mysql-client-core-5.1 (5.1.66-0ubuntu0.10.04.2) ...
Setting up libmagickcore2 (7:6.5.7.8-1ubuntu1.3) ...

Setting up libgl1-mesa-dri (7.7.1-1ubuntu3.1) ...

Setting up initramfs-tools (0.92bubuntu78.1) ...
update-initramfs: deferring update (trigger activated)

Setting up expat (2.0.1-7ubuntu1.1) ...
Setting up libopenssl-ruby1.8 (1.8.7.249-2ubuntu0.2) ...
Setting up libpython2.6 (2.6.5-1ubuntu6.1) ...

Setting up libxslt1-dev (1.1.26-1ubuntu1.1) ...
Setting up libc6-dev (2.11.1-0ubuntu7.12) ...
Setting up libtiffxx0c2 (3.9.2-2ubuntu0.11) ...

Setting up libk5crypto3 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up libmagickwand2 (7:6.5.7.8-1ubuntu1.3) ...

Setting up dbus (1.2.16-2ubuntu4.7) ...
The system user `messagebus' already exists. Exiting.
start: Job is already running: dbus

Setting up dhcp3-client (3.1.3-2ubuntu3.4) ...

Setting up python2.6-dev (2.6.5-1ubuntu6.1) ...
Setting up libglu1-mesa (7.7.1-1ubuntu3.1) ...

Setting up vim (2:7.2.330-1ubuntu3.1) ...

Setting up libreadline-ruby1.8 (1.8.7.249-2ubuntu0.2) ...
Setting up flashplugin-installer (11.2.202.251ubuntu0.10.04.1) ...
Downloading...
--2013-01-21 22:05:02--  http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.2.202.251.orig.tar.gz
Resolving archive.canonical.com... 91.189.92.150, 91.189.92.191
Connecting to archive.canonical.com|91.189.92.150|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2013-01-21 22:05:03 ERROR 404: Not Found.

download failed
The Flash plugin is NOT installed.

Setting up unattended-upgrades (0.55ubuntu8) ...
update-rc.d: warning: unattended-upgrades start runlevel arguments (none) do not match LSB Default-Start values (0 6)
update-rc.d: warning: unattended-upgrades stop runlevel arguments (0 6) do not match LSB Default-Stop values (none)

Setting up dbus-x11 (1.2.16-2ubuntu4.7) ...
Setting up libmagickcore2-extra (7:6.5.7.8-1ubuntu1.3) ...
Setting up irb1.8 (1.8.7.249-2ubuntu0.2) ...

Setting up libtiff4-dev (3.9.2-2ubuntu0.11) ...
Setting up apache2.2-common (2.2.14-5ubuntu8.10) ...

Setting up rdoc1.8 (1.8.7.249-2ubuntu0.2) ...
Setting up imagemagick (7:6.5.7.8-1ubuntu1.3) ...

Setting up python-libxml2 (2.7.6.dfsg-1ubuntu1.6) ...

Setting up libgnutls-dev (2.8.5-2ubuntu0.2) ...
Setting up mysql-client-5.1 (5.1.66-0ubuntu0.10.04.2) ...
Setting up libkrb5-3 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up ruby1.8-dev (1.8.7.249-2ubuntu0.2) ...
Setting up ri1.8 (1.8.7.249-2ubuntu0.2) ...
Setting up libgssapi-krb5-2 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up libgssrpc4 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up libgl1-mesa-dev (7.7.1-1ubuntu3.1) ...
Setting up libexpat1-dev (2.0.1-7ubuntu1.1) ...
Setting up libdns64 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up libglu1-mesa-dev (7.7.1-1ubuntu3.1) ...
Setting up apache2-mpm-prefork (2.2.14-5ubuntu8.10) ...
 * Starting web server apache2                                                                        apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
                                                                                               [ OK ]

Setting up libgs8 (8.71.dfsg.1-0ubuntu5.5) ...

Setting up apache2 (2.2.14-5ubuntu8.10) ...

Setting up libkadm5clnt-mit7 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up mysql-server-5.1 (5.1.66-0ubuntu0.10.04.2) ...
Installing new version of config file /etc/apparmor.d/usr.sbin.mysqld ...
mysql start/running, process 6746

Setting up ghostscript (8.71.dfsg.1-0ubuntu5.5) ...
update-alternatives: using /usr/bin/ps2pdf14 to provide /usr/bin/ps2pdf (ps2pdf) in auto mode.
Updating font configuration of gs...
Cleaning up category psprint..
Cleaning up category cmap..
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category gsfontderivative..
Cleaning up category type3..
Cleaning up category type1..
Updating category type1..
Updating category type3..
Updating category gsfontderivative..
Updating category truetype..
Updating category cid..
Updating category cmap..
Updating category psprint..
No CIDSupplement specified for Batang-Regular, defaulting to 0.
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for DroidSansJapanese, defaulting to 0.
No CIDSupplement specified for Dotum-Regular, defaulting to 0.
No CIDSupplement specified for Dotum-Bold, defaulting to 0.
No CIDSupplement specified for DroidSansJapanese-JaH, defaulting to 0.

Setting up php5-cli (5.3.2-1ubuntu4.18) ...

Setting up libapache2-mod-php5 (5.3.2-1ubuntu4.18) ...
 * Reloading web server config apache2                                                                apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
                                                                                               [ OK ]

Setting up libkdb5-4 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up php5 (5.3.2-1ubuntu4.18) ...
Setting up mysql-server (5.1.66-0ubuntu0.10.04.2) ...
Setting up php5-mysql (5.3.2-1ubuntu4.18) ...
Setting up libpq5 (8.4.14-0ubuntu10.04) ...

Setting up libisccfg60 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up libbind9-60 (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up php5-pgsql (5.3.2-1ubuntu4.18) ...
Setting up bind9-host (1:9.7.0.dfsg.P1-1ubuntu0.8) ...
Setting up libkadm5srv-mit7 (1.8.1+dfsg-2ubuntu0.11) ...

Setting up dnsutils (1:9.7.0.dfsg.P1-1ubuntu0.8) ...

Setting up krb5-multidev (1.8.1+dfsg-2ubuntu0.11) ...
Setting up libkrb5-dev (1.8.1+dfsg-2ubuntu0.11) ...
Processing triggers for python-central ...
Setting up landscape-common (12.05-0ubuntu1.10.04) ...

Setting up python-software-properties (0.75.10.3) ...

Processing triggers for python-central ...
Setting up software-properties-kde (0.75.10.3) ...

Processing triggers for python-central ...
Setting up openjdk-6-jre-headless (6b24-1.11.5-0ubuntu1~10.04.2) ...
Installing new version of config file /etc/java-6-openjdk/security/nss.cfg ...
Installing new version of config file /etc/java-6-openjdk/security/java.policy ...
Installing new version of config file /etc/java-6-openjdk/security/java.security ...
Installing new version of config file /etc/java-6-openjdk/jvm.cfg ...
Installing new version of config file /etc/java-6-openjdk/fontconfig.properties ...

Setting up openjdk-6-jre (6b24-1.11.5-0ubuntu1~10.04.2) ...

Setting up openjdk-6-jre-lib (6b24-1.11.5-0ubuntu1~10.04.2) ...

Setting up icedtea-6-jre-cacao (6b24-1.11.5-0ubuntu1~10.04.2) ...
Setting up openjdk-6-jdk (6b24-1.11.5-0ubuntu1~10.04.2) ...
/usr/lib/jvm/java-6-openjdk/bin/apt

Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.6
Processing triggers for python-support ...
Errors were encountered while processing:
 beef
 metasploit
again:root@bt:~# sudo dpkg --configure -a
root@bt:~# sudo dpkg --configure -a
Setting up beef (0.4.3.5-bt1) ...
WARNING:  You don't have /root/.gem/ruby/1.9.2/bin in your PATH,
          gem executables will not run.
Successfully installed bundler-1.2.3
1 gem installed
Installing ri documentation for bundler-1.2.3...
Installing RDoc documentation for bundler-1.2.3...
/var/lib/dpkg/info/beef.postinst: line 5: bundle: command not found
dpkg: error processing beef (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: error processing metasploit (--configure):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting configuration.
Errors were encountered while processing:
 beef
 metasploit
So:root@bt:~# apt-get install beef
root@bt:~# apt-get install beef
Reading package lists... Done
Building dependency tree      
Reading state information... Done
beef is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 29 not upgraded.
2 not fully installed or removed.
Need to get 277MB of archives.
After this operation, 0B of additional disk space will be used.
Get:1 http://64.repository.backtrack-linux.org/ revolution/testing metasploit 4.4.0-bt2 [277MB]
Fetched 277MB in 16min 35s (278kB/s)                                                                
(Reading database ... 258170 files and directories currently installed.)
Preparing to replace metasploit 4.4.0-bt2 (using .../metasploit_4.4.0-bt2_amd64.deb) ...
/opt/metasploit/postgresql/scripts/ctl.sh : postgresql could not be stopped
dpkg: warning: old pre-removal script returned error exit status 4
dpkg - trying script from the new package instead ...
/opt/metasploit/postgresql/scripts/ctl.sh : postgresql could not be stopped
dpkg: error processing /var/cache/apt/archives/metasploit_4.4.0-bt2_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 4
Upgrading Pre-Existing Installation...
/opt/metasploit/postgresql/scripts/ctl.sh : postgresql  started at port 7337
prosvc is running
metasploit is running
[*]
[*] Attempting to update the Metasploit Framework...
[*]

Updating '.':
U    HACKING
D    THIRD-PARTY.md
U    msfconsole
U    data/gui/msfgui.jar
U    data/armitage/armitage.jar
U    data/armitage/readme.txt
U    data/armitage/whatsnew.txt
A    data/wordlists/idrac_default_user.txt
A    data/wordlists/sap_default.txt
U    data/wordlists/unix_passwords.txt
U    data/wordlists/unix_users.txt
U    data/wordlists/http_default_userpass.txt
U    data/wordlists/root_userpass.txt
A    data/wordlists/sensitive_files_win.txt
U    data/wordlists/http_default_pass.txt
A    data/wordlists/idrac_default_pass.txt
U    data/meterpreter/ext_server_espia.dll
U    data/meterpreter/msflinker_linux_x86.bin
U    data/meterpreter/ext_server_stdapi.lso
U    data/meterpreter/screenshot.dll
U    data/meterpreter/metsrv.dll
U    data/meterpreter/elevator.dll
U    data/meterpreter/ext_server_priv.dll
U    data/meterpreter/ext_server_stdapi.dll
U    data/meterpreter/ext_server_lanattacks.dll
U    data/meterpreter/ext_server_incognito.dll
U    data/sql/migrate/20110422000000_convert_binary.rb
A    data/sql/migrate/20120718202805_add_owner_and_payload_to_web_vulns.rb
A    data/ropdb
A    data/ropdb/java.xml
A    data/ropdb/samba.xml
A    data/ropdb/flash.xml
A    data/ropdb/msvcrt.xml
A    data/exploits/CVE-2012-2516
A    data/exploits/CVE-2012-2516/template_mof.chm
A    data/exploits/CVE-2012-2516/template_payload.chm
A    data/exploits/jboss_jmxinvoker
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/removestagerdirectory.bin
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/installstager.bin
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/osarch.bin
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/osname.bin
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/removestagerfile.bin
A    data/exploits/jboss_jmxinvoker/DeploymentFileRepository/version.bin
A    data/exploits/cve-2012-5076
    data/exploits/cve-2012-5076/MyPayload.class
A    data/exploits/cve-2012-5076/Exploit.class
A    data/exploits/cve-2013-0422
A    data/exploits/cve-2013-0422/B.class
A    data/exploits/cve-2013-0422/Exploit.class
A    data/exploits/cmdstager/vbs_b64_sleep
A    data/exploits/exec_payload.msi
A    data/exploits/j7u10_jmx
A    data/exploits/CVE-2012-1535
A    data/exploits/CVE-2012-1535/Main.swf
A    data/exploits/CVE-2012-4681
A    data/exploits/CVE-2012-4681/Exploit.class
A    data/exploits/CVE-2012-XXXX
A    data/exploits/splunk
A    data/exploits/splunk/upload_app_exec.tgz
U    documentation/samples/modules/nops/sample.rb
U    documentation/samples/modules/encoders/sample.rb
U    documentation/samples/modules/auxiliary/sample.rb
U    documentation/samples/modules/exploits/sample.rb
U    documentation/samples/modules/payloads/singles/sample.rb
U    msfcli
D    test/tests/04_task_manager_test.rb
D    test/tests/03_range_walker_test.rb
D    test/tests/02_nmap_import_test.rb
U    test/modules/post/test/meterpreter.rb
U    test/modules/post/test/services.rb
A    test/features
A    test/features/payloads.feature
A    test/features/handler.feature
A    test/features/data
A    test/features/data/test.exe
A    test/features/windows_exploits.feature
A    test/features/encoders.feature
A    test/features/support
A    test/features/support/test_config.rb
A    test/features/support/env.rb
A    test/features/steps
A    test/features/steps/common_steps.rb
A    test/features/steps/handler_steps.rb
U    msfupdate
D    spec/msf/database_manager_spec.rb
A    spec/msf/core
A    spec/msf/util
A    spec/lib
A    spec/lib/fastlib_spec.rb
A    spec/lib/msf
A    spec/lib/msf/core
A    spec/lib/msf/core/data_store_spec.rb
A    spec/lib/msf/core/exploit
A    spec/lib/msf/core/exploit/http
A    spec/lib/msf/core/exploit/http/client_spec.rb
A    spec/lib/msf/core/option_container_spec.rb
A    spec/lib/msf/core/modules
A    spec/lib/msf/core/modules/version_compatibility_error_spec.rb
A    spec/lib/msf/core/modules/metasploit_class_compatibility_error_spec.rb
A    spec/lib/msf/core/modules/error_spec.rb
A    spec/lib/msf/core/modules/loader
A    spec/lib/msf/core/modules/loader/directory_spec.rb
A    spec/lib/msf/core/modules/loader/base_spec.rb
A    spec/lib/msf/core/modules/loader/archive_spec.rb
A    spec/lib/msf/core/modules/namespace_spec.rb
A    spec/lib/msf/core/task_manager_spec.rb
A    spec/lib/msf/core/module_manager_spec.rb
A    spec/lib/msf/core/options
A    spec/lib/msf/core/options/opt_address_range_spec.rb
A    spec/lib/msf/core/options/opt_port_spec.rb
A    spec/lib/msf/core/options/opt_address_spec.rb
A    spec/lib/msf/core/options/opt_int_spec.rb
A    spec/lib/msf/core/options/opt_bool_spec.rb
A    spec/lib/msf/core/options/opt_path_spec.rb
A    spec/lib/msf/util
A    spec/lib/msf/util/exe_spec.rb
A    spec/lib/rex
A    spec/lib/rex/post
A    spec/lib/rex/post/meterpreter
A    spec/lib/rex/post/meterpreter/packet_parser_spec.rb
A    spec/lib/rex/post/meterpreter/packet_spec.rb
A    spec/lib/rex/encoding
A    spec/lib/rex/encoding/xor
A    spec/lib/rex/encoding/xor/dword.rb
A    spec/lib/rex/encoding/xor/byte.rb
A    spec/lib/rex/encoding/xor/word.rb
A    spec/lib/rex/encoding/xor/qword.rb
A    spec/lib/rex/socket
A    spec/lib/rex/socket/range_walker_spec.rb
A    spec/lib/rex/parser
A    spec/lib/rex/parser/nmap_xml_spec.rb
U    spec/spec_helper.rb
A    spec/support
A    spec/support/shared
A    spec/support/shared/contexts
A    spec/support/shared/contexts/msf_modules_loader_base.rb
A    spec/support/shared/contexts/msf_modules_error_attributes.rb
A    spec/support/shared/examples
A    spec/support/shared/examples/msf_modules_loader_archive_read_module_content.rb
A    spec/support/shared/examples/typed_path.rb
A    spec/support/shared/examples/msf_modules_version_compatibility_error.rb
A    spec/support/shared/examples/msf_modules_error_subclass_initialize.rb
A    spec/support/shared/examples/xor_encoder.rb
A    spec/support/shared/examples/options.rb
A    spec/rex
A    spec/rex/socket
A    spec/rex/parser
U    README.md
U    tools/pattern_offset.rb
A    tools/psexec.rb
U    tools/module_reference.rb
U    tools/msftidy.rb
A    tools/module_payloads.rb
U    tools/lm2ntcrack.rb
U    modules/post/linux/gather/enum_network.rb
U    modules/post/linux/gather/checkvm.rb
U    modules/post/linux/gather/enum_users_history.rb
U    modules/post/linux/gather/enum_system.rb
U    modules/post/linux/gather/hashdump.rb
U    modules/post/cisco/gather/enum_cisco.rb
U    modules/post/aix/hashdump.rb
U    modules/post/osx/admin/say.rb
U    modules/post/osx/gather/enum_osx.rb
U    modules/post/osx/gather/enum_chicken_vnc_profile.rb
U    modules/post/osx/gather/enum_keychain.rb
U    modules/post/osx/gather/enum_adium.rb
U    modules/post/osx/gather/enum_airport.rb
U    modules/post/osx/gather/hashdump.rb
U    modules/post/osx/gather/enum_colloquy.rb
A    modules/post/multi/escalate
A    modules/post/multi/escalate/metasploit_pcaplog.rb
U    modules/post/multi/manage/multi_post.rb
A    modules/post/multi/manage/record_mic.rb
U    modules/post/multi/manage/system_session.rb
U    modules/post/multi/manage/sudo.rb
U    modules/post/multi/gather/ssh_creds.rb
A    modules/post/multi/gather/pgpass_creds.rb
U    modules/post/multi/gather/skype_enum.rb
U    modules/post/multi/gather/firefox_creds.rb
U    modules/post/multi/gather/env.rb
U    modules/post/multi/gather/multi_command.rb
A    modules/post/multi/gather/gpg_creds.rb
U    modules/post/multi/gather/apple_ios_backup.rb
U    modules/post/multi/gather/ping_sweep.rb
U    modules/post/multi/gather/enum_vbox.rb
U    modules/post/multi/gather/dns_bruteforce.rb
U    modules/post/multi/gather/filezilla_client_cred.rb
U    modules/post/multi/gather/pidgin_cred.rb
U    modules/post/multi/gather/dns_srv_lookup.rb
U    modules/post/multi/gather/dns_reverse_lookup.rb
U    modules/post/multi/gather/run_console_rc_file.rb
U    modules/post/multi/gather/find_vmx.rb
U    modules/post/multi/general/execute.rb
U    modules/post/multi/general/close.rb
U    modules/post/windows/escalate/net_runtime_modify.rb
U    modules/post/windows/escalate/getsystem.rb
U    modules/post/windows/escalate/ms10_073_kbdlayout.rb
U    modules/post/windows/escalate/droplnk.rb
U    modules/post/windows/escalate/ms10_092_schelevator.rb
U    modules/post/windows/escalate/bypassuac.rb
U    modules/post/windows/escalate/screen_unlock.rb
U    modules/post/windows/escalate/service_permissions.rb
U    modules/post/windows/wlan/wlan_profile.rb
U    modules/post/windows/wlan/wlan_current_connection.rb
U    modules/post/windows/wlan/wlan_bss_list.rb
U    modules/post/windows/wlan/wlan_disconnect.rb
U    modules/post/windows/capture/keylog_recorder.rb
U    modules/post/windows/capture/lockout_keylogger.rb
U    modules/post/windows/recon/resolve_hostname.rb
A    modules/post/windows/recon/resolve_ip.rb
U    modules/post/windows/recon/computer_browser_discovery.rb
U    modules/post/windows/manage/add_user_domain.rb
U    modules/post/windows/manage/inject_ca.rb
A    modules/post/windows/manage/clone_proxy_settings.rb
U    modules/post/windows/manage/powershell/exec_powershell.rb
U    modules/post/windows/manage/persistence.rb
U    modules/post/windows/manage/payload_inject.rb
A    modules/post/windows/manage/rpcapd_start.rb
A    modules/post/windows/manage/sdel.rb
U    modules/post/windows/manage/run_as.rb
U    modules/post/windows/manage/autoroute.rb
U    modules/post/windows/manage/migrate.rb
U    modules/post/windows/manage/nbd_server.rb
U    modules/post/windows/manage/remove_host.rb
U    modules/post/windows/manage/enable_rdp.rb
U    modules/post/windows/manage/pxexploit.rb
U    modules/post/windows/manage/vss_mount.rb
A    modules/post/windows/manage/smart_migrate.rb
U    modules/post/windows/manage/vss_create.rb
A    modules/post/windows/manage/webcam.rb
U    modules/post/windows/manage/vss_storage.rb
U    modules/post/windows/manage/delete_user.rb
U    modules/post/windows/manage/remove_ca.rb
U    modules/post/windows/manage/multi_meterpreter_inject.rb
U    modules/post/windows/manage/vss_list.rb
U    modules/post/windows/manage/inject_host.rb
U    modules/post/windows/manage/vss_set_storage.rb
A    modules/post/windows/manage/mssql_local_auth_bypass.rb
U    modules/post/windows/manage/download_exec.rb
U    modules/post/windows/gather/enum_domains.rb
U    modules/post/windows/gather/resolve_sid.rb
U    modules/post/windows/gather/enum_powershell_env.rb
U    modules/post/windows/gather/win_privs.rb
U    modules/post/windows/gather/memory_grep.rb
U    modules/post/windows/gather/forensics/enum_drives.rb
U    modules/post/windows/gather/forensics/imager.rb
U    modules/post/windows/gather/forensics/nbd_server.rb
U    modules/post/windows/gather/forensics/duqu_check.rb
U    modules/post/windows/gather/enum_termserv.rb
U    modules/post/windows/gather/wmic_command.rb
U    modules/post/windows/gather/enum_ms_product_keys.rb
U    modules/post/windows/gather/enum_artifacts.rb
U    modules/post/windows/gather/dumplinks.rb
U    modules/post/windows/gather/enum_devices.rb
U    modules/post/windows/gather/enum_shares.rb
U    modules/post/windows/gather/enum_dirperms.rb
U    modules/post/windows/gather/hashdump.rb
A    modules/post/windows/gather/netlm_downgrade.rb
U    modules/post/windows/gather/enum_applications.rb
A    modules/post/windows/gather/local_admin_search_enum.rb
U    modules/post/windows/gather/enum_domain_tokens.rb
U    modules/post/windows/gather/smart_hashdump.rb
U    modules/post/windows/gather/checkvm.rb
U    modules/post/windows/gather/enum_ie.rb
U    modules/post/windows/gather/enum_files.rb
U    modules/post/windows/gather/enum_tokens.rb
U    modules/post/windows/gather/enum_domain_group_users.rb
U    modules/post/windows/gather/tcpnetstat.rb
U    modules/post/windows/gather/cachedump.rb
U    modules/post/windows/gather/enum_domain.rb
U    modules/post/windows/gather/credentials/razorsql.rb
U    modules/post/windows/gather/credentials/enum_cred_store.rb
U    modules/post/windows/gather/credentials/trillian.rb
U    modules/post/windows/gather/credentials/credential_collector.rb
U    modules/post/windows/gather/credentials/imvu.rb
U    modules/post/windows/gather/credentials/enum_picasa_pwds.rb
A    modules/post/windows/gather/credentials/ftpx.rb
A    modules/post/windows/gather/credentials/razer_synapse.rb
U    modules/post/windows/gather/credentials/vnc.rb
U    modules/post/windows/gather/credentials/gpp.rb
U    modules/post/windows/gather/credentials/meebo.rb
U    modules/post/windows/gather/credentials/imail.rb
Conflict discovered in '/opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb'.
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options: Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options:  df
--- /opt/metasploit/msf3/.svn/pristine/6b/6bb53c0c8ab57fd65281c8ef644258ebc18ffdb7.svn-base     Fri Aug 10 06:29:39 2012
+++ /opt/metasploit/msf3/.svn/tmp/outlook.rb.tmp        Mon Jan 21 23:00:16 2013
@@ -1,4 +1,4 @@
-# $Id: outlook.rb 14835 2012-03-01 22:15:05Z rapid7 $
+# $Id$
 
 ##
 # This file is part of the Metasploit Framework and may be subject to
@@ -11,6 +11,7 @@
 require 'rex'
 require 'msf/core/post/windows/registry'
 require 'msf/core/post/windows/priv'
+require 'msf/core/auxiliary/report'
 
 class Metasploit3 < Msf::Post
 
@@ -31,8 +32,12 @@
                                },
                                'License'       => MSF_LICENSE,
                                'Author'        => [ 'Justin Cacak'],
-                               'Version'       => '$Revision: 14835 $',
+<<<<<<< .mine
+                               'Version'       => '$Revision$',
                                'Platform'      => [ 'windows' ],
+=======
+                               'Platform'      => [ 'win' ],
+>>>>>>> .r16350
                                'SessionTypes'  => [ 'meterpreter' ]
                        ))
        end
Select: (p) postpone, (df) diff-full, (e) edit, (r) resolved,
        (mc) mine-conflict, (tc) theirs-conflict,




When I still looking for the difference, I found the Install Guidance Window appeared  -- Welcome

  评论这张
 
阅读(15)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017